Subject: Re: [PATCH] add definitions for global variables to shell.c

From: Johannes Sixt <[email-masked]>
Date: Tue, 19 Aug 2008 10:49:53 +0200

Junio C Hamano schrieb:
> Even if that is the case, I do not like the prospect of having to maintain
> a set of duplicated variable definitions.  If we really wanted to address
> this issue, maybe we would want a separate source file that is linked to
> both git-shell and to the rest of the system that has nothing but
> definitions of these variables?  I thought environment.c was meant to be
> something like that -- would linking environment.o pull in too many extra
> references these days (again, I didn't try)?

Why not just revert 5b8e6f85f (shrink git-shell)? It was a nice try. If it
had not proved as a maintainance burden, it would have had merits. But who
these days cares whether git-shell takes 300K or 30K in the light of that
it goes out of the way anyway by execing some other process at the first
opportunity?

-- Hannes